%global         githash     c6e6a8822b673bfe3e7182f99cdffd1f7735a61e
%global         shorthash   %(TMP=%githash ; echo ${TMP:0:10})
%global         gitdate     Sun, 19 Sep 2021 23:25:53 +0900
%global         gitdate_num 20210919

%global         githash_tools     0fe2106fbc052445c611e6c5b2a79899d740edcb

%undefine        _changelog_trimtime

Summary:	Dictionaries for SKK (Simple Kana-Kanji conversion program)
Name:		skkdic
Version:	%{gitdate_num}
Release:    1%{?dist}
License:	GPLv2+ and CC-BY-SA and Unicode and Public Domain and MIT

Source0:	https://github.com/skk-dev/dict/archive/%{githash}/%{name}-%{gitdate_num}.git%{githash}.tar.gz
Source1:	https://raw.githubusercontent.com/skk-dev/skktools/%{githash_tools}/unannotation.awk
Source2:	license-investigation.txt
Source200:	README-skkdic.rh.ja

URL:		https://skk-dev.github.io/dict/
BuildArch:	noarch

BuildRequires: make

%description
This package includes the SKK dictionaries, including the large dictionary
SKK-JISYO.L and pubdic+ dictionary.

%prep
%setup -q -c -T -a 0
ln -sf dict-%{githash} src
mkdir tools

cp -p %SOURCE200 .
cp -p %SOURCE1 tools

pushd src
cp -a zipcode/README.md zipcode/README-zipcode.md
popd

%build
pushd src

for dic in \
	SKK-JISYO.L.unannotated \
	SKK-JISYO.wrong
do
	rm -f $dic
	make $dic
done

popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/skk

pushd src
for f in SKK-JISYO* zipcode/SKK-JISYO*
do
	install -p -m 644 $f %{buildroot}%{_datadir}/skk
done
gzip -9 ChangeLog

popd

%files
%doc	src/ChangeLog.gz
%doc	README-skkdic.rh.ja
%doc	src/committers.md
%doc	src/edict_doc.html
%doc	src/zipcode/README-zipcode.md

%{_datadir}/skk/

%changelog
* Fri Sep 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20210919-1
- initial build
